network interfaces does not get updated for vmware when provisioning a host
Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Compute resources   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1273400 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1273400

Description of problem:

network interfaces does not get updated for vmware when provisioning a host,

2015-10-20 07:11:23 [I] Processing by HostsController#create as */*

2015-10-20 07:11:23 [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"AE8qmITkEkQWoVTMYqzq1jfVm1iFtGKlc13SQd1Iuvk=",

"host"=>{"name"=>"pragrhel71v", "organization_id"=>"1", "location_id"=>"2", "hostgroup_id"=>"1", "compute_resource_id"=>"1",

"environment_id"=>"3", "content_source_id"=>"1", "puppet_ca_proxy_id"=>"1", "puppet_proxy_id"=>"1", "puppetclass_ids"=>[""],

"managed"=>"true", "progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "compute_attributes"=>{"cpus"=>"2",

"corespersocket"=>"1", "memory_mb"=>"1024", "cluster"=>"CFME-ESX55-Cluster", "path"=>"/Datacenters/CFME/vm",

"guest_id"=>"otherGuest64", "hardware_version"=>"vmx-10", "interfaces_attributes"=>{"new_interfaces"=>{"type"=>"VirtualE1000",

"network"=>"dvportgroup-107686", "_delete"=>""}, "0"=>{"type"=>"VirtualVmxnet3", "network"=>"network-114404", "_delete"=>""}},

"volumes_attributes"=>{"new_volumes"=>{"datastore"=>"cfme-esx-55-01-local", "name"=>"Hard disk", "size_gb"=>"10",

"thin"=>"true", "eager_zero"=>"false", "_delete"=>""}, "0"=>{"datastore"=>"cfme-esx-55-01-local", "name"=>"Hard disk",

"size_gb"=>"10", "thin"=>"true", "eager_zero"=>"false", "_delete"=>""}}, "scsi_controller_type"=>"VirtualLsiLogicController",

"start"=>"1"}, "domain_id"=>"1", "realm_id"=>"", "mac"=>"", "subnet_id"=>"1", "ip"=>"192.168.252.21",

"interfaces_attributes"=>{"new_interfaces"=>{"_destroy"=>"false", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"", "name"=>"",

"domain_id"=>"", "subnet_id"=>"", "ip"=>"", "managed"=>"1", "virtual"=>"0", "tag"=>"", "attached_to"=>""}}, "architecture_id"=>"1",

"operatingsystem_id"=>"1", "provision_method"=>"build", "build"=>"1", "medium_id"=>"7", "ptable_id"=>"7", "disk"=>"",

"root_pass"=>"[FILTERED]", "is_owned_by"=>"3-Users", "enabled"=>"1", "model_id"=>"", "comment"=>"", "overwrite"=>"false"},

"hostgroup"=>{"lifecycle_environment_id"=>"2", "content_view_id"=>"2"}, "capabilities"=>"build image", "provider"=>"Vmware"}

network interface was updated to :

NIC Type => vmxnet3 and

Network => SatResTest - 211

But upon editing the particular (vmware provisioned) Host the network interface still shows as :

NIC Type => vmxnet3 and

Network => DPortGroup

On the vmware side the "SatResTest - 211" is shown disconnected.

This is results in the vm unable to get PXEboot.

Version-Release number of selected component (if applicable):

Satellite6.1.3

How reproducible:

Steps to Reproduce:

1. Add a vmware compute resource

2. create a host and edit the network interface details.
https://bugzilla.redhat.com/show_bug.cgi?id=1273400


Actual results:

'network' doesn't get updated correctly

Expected results:

'network' does get updated correctly

Additional info:

Related issues:

Is duplicate of Foreman - Bug #6303: Hosts display wrong vmware networks New

History

#1 - 12/02/2015 02:56 AM - Dominic Cleal

- Is duplicate of Bug #6303: Hosts display wrong vmware networks added

#2 - 12/02/2015 02:57 AM - Dominic Cleal

- Status changed from New to Duplicate
